QGIS Application - Bug report #19009
GeoPackage: Error when adding fields
2018-05-23 09:52 AM - Jérdéme Guélat

Status: Closed

Priority: High

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:3.0.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26840
Description

I get an error when saving edits after adding more than one field to a GeoPackage

1. Open the attached GeoPackage

2. In the attribute table, click on "Open field calculator”, inside the field calculator add an integer field with some value
3. Stop editing and save edits

4. Repeat step 2

5. Repeat step 3

| get the following error message:

Errors: SUCCESS: 1 attribute(s) added.
ERROR: field with index 1 is not the same!
Provider: ogr
Storage: GPKG
expected field: name=adfsd type=int typeName=Integer len=10 precision=0
retrieved field: name=adfsd type=int typeName=Integer len=0 precision=0

I'm using QGIS 3.0.3 (with GDAL/OGR 2.2.4), installed with OSGeo4W.

Associated revisions

Revision f4bf1ec9 - 2018-06-01 01:15 PM - Even Rouault

[OGR provider] GPKG: allow repeated creation of int fields with len != 0 (fixes #19009)

History

#1 - 2018-05-23 12:15 PM - Jérome Guélat

The bug is also occurring on QGIS 2.18.20 (tested on different computers)

#2 - 2018-05-23 02:44 PM - Jérome Guélat

This bug looks similar to https://issues.qgis.org/issues/15614

#3 - 2018-06-01 12:52 AM - Even Rouault
- Assignee set to Even Rouault
https://issues.qgis.org/issues/15614

#4 - 2018-06-01 05:42 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|f4bf1ec90709829642b9af858df7500cba3ade31.
